Subject: Re: What is the correct way to indicate an unassigned PCI resource ?

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 05 Dec 2006 15:43:12 +1100

On Mon, 2006-12-04 at 21:53 +0100, Guennadi Liakhovetski wrote:
> On Mon, 4 Dec 2006, Sergei Shtylyov wrote:
> 
> > >>>   When Linus remaps IRQ0 on x86, I'll follow that code as a testament. Until 
> > >>>this happens, I consider is just an opinion. Forcing every arch but x86 to 
> > >>>remap IRQ0 is an example of the double standards.
> 
> Can I have a link to that specific answer from Linus, please? Somehow I 
> missed it.

That debate is pointless. arch/powerpc now always remaps and 0 is always
illegal as a logical IRQ number, while it's perfectly legal as a HW
number on any PIC, so there is no more problem. Other archs might
probably want to do a similar remapping anyway as it makes loads of
things easier when you have multiple PICs and/or dynamically assigned
numbers.

Ben.